Oracle (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class Oracle

    java.lang.Object
      org.maltparser.parser.Oracle

All Implemented Interfaces:
  Guide, OracleGuide

Direct Known Subclasses:
  ArcEagerOracle, ArcStandardOracle, CovingtonOracle, PlanarArcEagerOracle, ProjectiveOracle, SwapEagerOracle, SwapLazyOracle, TwoPlanarArcEagerOracle

    public abstract class Oracle

extends Object
implements OracleGuide

Author:
  Johan Hall

Field Summary
`protected ActionContainer[]` | `actionContainers`
`protected ActionContainer[]` | `arcLabelActionContainers`
`protected ActionContainer` | `transActionContainer`

Constructor Summary
`Oracle(DependencyParserConfig manager, GuideUserHistory history)`

Method Summary
`DependencyParserConfig` | `getConfiguration()`
`String` | `getGuideName()`
`GuideUserHistory` | `getHistory()`
`void` | `initActionContainers()`
`void` | `setGuideName(String guideName)`
`void` | `setHistory(GuideUserHistory history)`
`void` | `setManager(DependencyParserConfig manager)`
`protected GuideUserAction` | `updateActionContainers(int transition, LabelSet arcLabels)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.maltparser.parser.guide.OracleGuide
`predict`

Methods inherited from interface org.maltparser.parser.guide.Guide
`finalizeSentence, terminate`

Field Detail

### actionContainers

    protected ActionContainer[] actionContainers

### transActionContainer

    protected ActionContainer transActionContainer

### arcLabelActionContainers

    protected ActionContainer[] arcLabelActionContainers

Constructor Detail

### Oracle

    public Oracle(DependencyParserConfig manager,
                  GuideUserHistory history)
           throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### setManager

    public void setManager(DependencyParserConfig manager)

### getHistory

    public GuideUserHistory getHistory()

### setHistory

    public void setHistory(GuideUserHistory history)

### getConfiguration

    public DependencyParserConfig getConfiguration()

  Specified by:
    `getConfiguration` in interface `Guide`

### getGuideName

    public String getGuideName()

  Specified by:
    `getGuideName` in interface `Guide`

### setGuideName

    public void setGuideName(String guideName)

  Specified by:
    `setGuideName` in interface `Guide`

### updateActionContainers

    protected GuideUserAction updateActionContainers(int transition,
                                                     LabelSet arcLabels)
                                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### initActionContainers

    public void initActionContainers()
                              throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.